﻿using BlazorComponents.Models;
using System.Collections.Generic;

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================


namespace BlazorComponents.DataBase
{
    public class DBStore
    {
        public List<Category> Categories { get; set; }
        public List<Product> Products { get; set; } = new List<Product>();

        public DBStore()
        {
            InitCategory();


            // ===== Init products =====

            InitTV();
            InitComp();
            InitTablet();
            InitSmartphone();
        }

        private void InitCategory()
        {
            Categories = new List<Category>()
            {
                new Category
                {
                    Id = 1,
                    Name = "Телевизоры"
                },
                new Category
                {
                    Id = 2,
                    Name = "Компьютеры"
                },
                new Category
                {
                    Id = 3,
                    Name = "Планшеты",
                },
                new Category
                {
                    Id = 4,
                    Name = "Смартфоны",
                }
            };
        }


        private void InitTV()
        {
            int category = 1;

            Products.Add(new Product(category)
            {
                Id = 1,
                Name = "LED DEXP F22D7200E - 5300 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 2,
                Name = "LED Starwind SW-LED22BA200 черный - 5600 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 3,
                Name = "LED BQ 2401B черный - 6400 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 4,
                Name = "Haier LE24K6000S - 10500 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 5,
                Name = "Samsung UE43TU7097U Samsung - 28900 руб."
            });
        }


        private void InitComp()
        {
            int category = 2;


            Products.Add(new Product(category)
            {
                Id = 1,
                Name = "ПК DEXP Aquilon O209 - 10000 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 2,
                Name = "ПК Lenovo Ideacentre 310S-08ASR - 20000 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 3,
                Name = "ПК HP Pavilion TP01-1009ur - 26000 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 4,
                Name = "Acer Veriton X2665G - 24900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 5,
                Name = "Lenovo IdeaCentre 3 07ADA05 - 25900 руб."
            });

        }


        private void InitTablet()
        {
            int category = 3;


            Products.Add(new Product(category)
            {
                Id = 1,
                Name = "Apple iPad 10.2 Wi-Fi 32GB Space Grey - 29900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 2,
                Name = "Samsung Galaxy Tab S7 серебряный - 52500 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 3,
                Name = "Huawei MatePad T 8 2+32GB LTE Deepsea Blue - 9900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 4,
                Name = "Apple iPad Pro 12.9 (2020) 256GB Wi-Fi Cell Space Grey - 109900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 5,
                Name = "Honor Pad V6 Midnight Black - 30000 руб."
            });
        }


        private void InitSmartphone()
        {
            int category = 4;

            Products.Add(new Product(category)
            {
                Id = 1,
                Name = "SAMSUNG Galaxy S20 8/128Gb, SM-G980F, серый - 65600 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 2,
                Name = "APPLE iPhone 11 64Gb, MWLT2RU/A, черный - 54900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 3,
                Name = "Смартфон SAMSUNG Galaxy A21s 64Gb, SM-A217F, черный - 14000 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 4,
                Name = "Смартфон HUAWEI P30 lite 128Gb, синий - 15900 руб."
            });

            Products.Add(new Product(category)
            {
                Id = 5,
                Name = "ALCATEL 3X 64Gb, 5048Y, черный - 9100 руб."
            });
        }
    }
}
